package io.zipcoder;


import java.util.Stack;

public class ParenChecker {

    Stack<Character> stack = new Stack<Character>();


    public ParenChecker() {


    }
    public boolean isBalanced (char char1, char char2){
        if (char1== '(' && char2==')') {
            return true;
        } else if (char1 == '{' && char2 == '}'){
            return true;
        } else if (char1 == '[' && char2 == ']'){
            return true;
        } else if (char1 == '<' && char2 == '>'){
            return true;
        } else return false;
    }

    public boolean balancedCharacters(String input, char pair1, char pair2) {

        char[] array = input.toCharArray();


        for (char c : array) {

            if (c == pair1) {

                stack.push(c);
            }
            else if (c == pair2) {
                if(stack.empty()) {
                    return false;
                }

                else if (!isBalanced(stack.pop(), c)) {
                    return false;
                }

            }

        }
        if (stack.empty()) {
            return true;
        } else {
            return false;
        }
    }




    boolean completeCheck(String input) {




        boolean paren = balancedCharacters(input, '(', ')');
        boolean square = balancedCharacters(input, '[', ']');
        boolean curly = balancedCharacters(input, '{', '}');
        boolean angle = balancedCharacters(input, '<', '>');


        return (paren && square && curly && angle );
    }

       }