package io.zipcoder;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Scanner;
import java.util.stream.Stream;

public class WC {
    private Iterator<String> si;
    private Map<String, Integer> countTheWords = new HashMap<>();

    public WC(String fileName) {
        try {
            this.si = new Scanner(new FileReader(fileName));
        } catch (FileNotFoundException e) {
            System.out.println(fileName + " Does Not Exist");
            System.exit(-1);
        }
    }



    public WC(Iterator<String> si) {
        this.si = si;
    }

    public void  wordCount() {
        String words;
int count=0;

        while (si.hasNext()) {
            String lowerCaseWords = si.next().toLowerCase();
            words = lowerCaseWords.replaceAll("[^a-z]" ,"");

            if (countTheWords.containsValue(words)) {
                countTheWords.put(words, countTheWords.get(words) + 1 );
            } else {
                countTheWords.put( words, count++);

            }
        }

    }
    public Stream<Map.Entry<String, Integer>> reverse(String fileName){
        return countTheWords.entrySet().stream()
                .sorted(Map.Entry.<String, Integer>comparingByValue().reversed());



    }





}






