package io.zipcoder;

import org.junit.Assert;
import org.junit.Test;

public class ParenCheckerTest {
    ParenChecker parenChecker = new ParenChecker();
    @Test
    public void testIsBalance(){
        char char1 = '(';
        char char2 = ')';
        boolean expected = true;
        boolean actual = parenChecker.isBalanced(char1,char2);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testIsBalance01(){
        char char1= '(' ;
        char char2= '}';

        boolean expected = false;
        boolean actual = parenChecker.isBalanced(char1,char2);
        //System.out.print(parenChecker.isBalanced(char1,char2));
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testIsbalance02(){
        char char1= '{' ;
        char char2= '}';

        boolean expected = true;
        boolean actual = parenChecker.isBalanced(char1,char2);
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void testIsbalance03(){
        char char1= '{' ;
        char char2= ']';

        boolean expected = false;
        boolean actual = parenChecker.isBalanced(char1,char2);
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void testIsbalance04(){
        char char1= '[' ;
        char char2= ']';

        boolean expected = true;
        boolean actual = parenChecker.isBalanced(char1,char2);
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void testIsbalance05() {
        char char1 = '[';
        char char2 = '>';

        boolean expected = false;
        boolean actual = parenChecker.isBalanced(char1, char2);
        Assert.assertEquals(expected, actual);


    }
    @Test
    public void testIsbalance06(){
        char char1= '<' ;
        char char2= '>';

        boolean expected = true;
        boolean actual = parenChecker.isBalanced(char1,char2);
        Assert.assertEquals(expected,actual);



    }
    @Test
    public void testIsbalance07(){
        char char1= '[' ;
        char char2= '[';

        boolean expected = false;
        boolean actual = parenChecker.isBalanced(char1,char2);
        Assert.assertEquals(expected,actual);

    }















    @Test
    public void testCompleteCheck(){
        String str= "()" ;



        boolean actual = parenChecker.completeCheck(str);
        Assert.assertTrue(actual);


    }
    @Test
    public void testCompleteCheck01(){
        String str= "()}" ;


        boolean expected = false;
        boolean actual = parenChecker.completeCheck(str);
        Assert.assertEquals(expected,actual);

    }
    @Test
    public void testCompleteCheck02(){
        String str= "{()}" ;


        boolean expected = true;
        boolean actual = parenChecker.completeCheck(str);
        Assert.assertEquals(expected,actual);

    }
    @Test
    public void testCompleteCheck03(){
        String str= "(<)}" ;


        boolean expected = false;
        boolean actual = parenChecker.completeCheck(str);
        Assert.assertEquals(expected,actual);

    }
    @Test
    public void testCompleteCheck04(){
        String str= "{(<>)}" ;


        boolean expected = true;
        boolean actual = parenChecker.completeCheck(str);
        Assert.assertEquals(expected,actual);

    }
    @Test
    public void testCompleteCheck05(){
        String str= "{(<>)}]" ;


        boolean expected = false;
        boolean actual = parenChecker.completeCheck(str);
        Assert.assertEquals(expected,actual);

    }
    @Test
    public void testCompleteCheck06(){
        String str= "[{(<>)}]" ;


        boolean expected =true;
        boolean actual = parenChecker.completeCheck(str);
        Assert.assertEquals(expected,actual);

    }
    @Test
    public void testCompleteCheck07(){
        String str= "[{(<}>)]" ;


        boolean expected = true;
        boolean actual = parenChecker.completeCheck(str);
        Assert.assertEquals(expected,actual);

    }
    @Test
    public void testCompleteCheck08(){
        String str= "{[hello] (bonjour) <Hola>}" ;


        boolean expected = true;
        boolean actual = parenChecker.completeCheck(str);
        Assert.assertEquals(expected,actual);

    }

    @Test
    public void testCompleteCheck09(){
        String str= "{[hello] (bonjour) <Hola}" ;


        boolean expected = false;
        boolean actual = parenChecker.completeCheck(str);
        Assert.assertEquals(expected,actual);

    }


















}


